seo:
  title: We're one of the 30 Highest Velocity Open Source Projects
  description: >-
    With a magical combination of number of commits, authors, issues and merge
    requests, we're in great company with other open source projects with
    momentum.
  ogTitle: We're one of the 30 Highest Velocity Open Source Projects
  ogDescription: >-
    With a magical combination of number of commits, authors, issues and merge
    requests, we're in great company with other open source projects with
    momentum.
  noIndex: false
  ogImage: images/blog/hero-images/highest-velocity-open-source-projects.jpg
  ogUrl: https://about.gitlab.com/blog/gitlab-top-30-highest-velocity-open-source
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/gitlab-top-30-highest-velocity-open-source
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "We're one of the 30 Highest Velocity Open Source Projects",
            "author": [{"@type":"Person","name":"Rebecca Dodd"}],
            "datePublished": "2017-07-06",
          }

content:
  title: We're one of the 30 Highest Velocity Open Source Projects
  description: >-
    With a magical combination of number of commits, authors, issues and merge
    requests, we're in great company with other open source projects with
    momentum.
  authors:
    - Rebecca Dodd
  heroImage: images/blog/hero-images/highest-velocity-open-source-projects.jpg
  date: '2017-07-06'
  body: >


    In June the Cloud Native Computing Foundation released its chart of the [top
    open source projects with the highest developer
    velocity](https://www.cncf.io/blog/2017/06/05/30-highest-velocity-open-source-projects/),
    and we're proud to be included – in good company!


    <!-- more -->


    Measuring commits, authors, issues and merge or pull requests, the chart
    places GitLab in the top right quadrant with eight others including
    [Kubernetes](https://docs.gitlab.com/ee/user/project/clusters/index.html)
    and
    [Elasticsearch](https://docs.gitlab.com/ee/integration/elasticsearch.html).


    ![CNCF highest velocity open source projects
    chart](https://about.gitlab.com/images/blogimages/CNCF-highest-velocity-open-source-chart.png){:
    .shadow}


    ## Open Source at Heart


    While ['open
    core'](/blog/2016/07/20/gitlab-is-open-core-github-is-closed-source/) might
    be a more accurate description of GitLab, as we ship both an [open source
    version](/features/) and [closed source version](/pricing/), we adopt an
    open source approach to both, with a publicly viewable issue tracker and
    license that allows modifications once you purchase a license.


    We already know that there are good reasons [why you should choose to work
    with open source projects](/blog/2017/03/03/why-choose-open-source/), and
    we're grateful to our over [1700
    contributors](http://contributors.gitlab.com/contributors) who have helped
    to shape GitLab – not just the product, but the company too. I work in the
    Marketing team and am always surprised and pleased when a member of our
    community pops up in an issue in the [Marketing
    project](https://gitlab.com/gitlab-com/marketing/issues) to offer some input
    or share an idea. It's a great reminder that [everyone can
    contribute](/community/contribute/), and those contributions go far beyond
    development.


    So, thank you!


    ## Keep Those Contributions Coming


    If you're new to GitLab, [this will
    help](/blog/2016/12/07/heres-how-new-programmers-can-learn-by-contributing-to-gitlab/),
    otherwise, as always, feel free to [open or comment on an
    issue](https://gitlab.com/gitlab-org/gitlab-ce/issues). See [all the ways
    you can contribute here](/community/contribute/).


    [Cover
    image](https://unsplash.com/search/jaws-haiku-pauwela-united-states?photo=sW8psg40WXY)
    by [Anton Repponen](https://unsplash.com/@repponen) on Unsplash

    {: .note}
  category: Open Source
  tags:
    - open source
    - news
config:
  slug: gitlab-top-30-highest-velocity-open-source
  featured: false
  template: BlogPost
